import request from '@/utils/request'

// 获取角色列表
export function getRolesList() {
  return request({
    url: '/role/getroleslist',
    method: 'get'
  })
}

// 添加角色
export function addRole(data) {
  return request({
    url: '/role/uploadrole',
    method: 'post',
    data
  })
}

// 禁用启用角色
export function changeRole(data) {
  return request({
    url: '/role/disablerole',
    method: 'post',
    data
  })
}

// 修改角色
export function editRole(data) {
  return request({
    url: '/role/updaterole',
    method: 'post',
    data
  })
}
